### Method

# Gtk ConstraintLayoutadd_guide

#### Declaration [src]

    void
    gtk_constraint_layout_add_guide (
      GtkConstraintLayout* layout,
      GtkConstraintGuide* guide
    )

#### Description [src]

Adds a guide to `layout`.

A guide can be used as the source or target of constraints, like a widget, but it is not visible.

The `layout` acquires the ownership of `guide` after calling this function.

#### Parameters

`guide`

  Type: `GtkConstraintGuide`

  A `GtkConstraintGuide` object.

  The instance takes ownership of the data, and is responsible for freeing it.